<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:29 CEST 2018 -->
<title>CommandDiscoverer</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommandDiscoverer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommandDiscoverer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/CommandDiscoverer.html" target="_top">Frames</a></li>
<li><a href="CommandDiscoverer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.command</div>
<h2 title="Class CommandDiscoverer" class="title">Class CommandDiscoverer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.command.CommandDiscoverer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommandDiscoverer</span>
extends java.lang.Object</pre>
<div class="block">Discovers commands with annotions</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></span></code>
<div class="block">A class which contains more information about a command</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#executors">executors</a></span></code>
<div class="block">A list with the commands</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.logging.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#logger">logger</a></span></code>
<div class="block">logger</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#scope">scope</a></span></code>
<div class="block">The scope of the command which should be found</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#searchPackage">searchPackage</a></span></code>
<div class="block">In which package the discoverer should search for commands</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#CommandDiscoverer-java.lang.String-java.lang.String-">CommandDiscoverer</a></span>(java.lang.String&nbsp;scope,
                 java.lang.String&nbsp;searchPackage)</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#discover--">discover</a></span>()</code>
<div class="block">Searches the given path after annotations</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#getExecutors--">getExecutors</a></span>()</code>
<div class="block">Returns all found commands.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#getScope--">getScope</a></span>()</code>
<div class="block">Returns the scope of the commands which are discovered by this discoverer</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#getSearchPackage--">getSearchPackage</a></span>()</code>
<div class="block">Returns the package in which the discoverer searches</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.html#processCommand-ch.sebi.zuul.command.Command-java.lang.Class-">processCommand</a></span>(<a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command">Command</a>&nbsp;command,
              java.lang.Class&lt;?&gt;&nbsp;c)</code>
<div class="block">processes a command annotation</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="logger">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logger</h4>
<pre>private&nbsp;java.util.logging.Logger logger</pre>
<div class="block">logger</div>
</li>
</ul>
<a name="scope">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scope</h4>
<pre>private&nbsp;java.lang.String scope</pre>
<div class="block">The scope of the command which should be found</div>
</li>
</ul>
<a name="searchPackage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchPackage</h4>
<pre>private&nbsp;java.lang.String searchPackage</pre>
<div class="block">In which package the discoverer should search for commands</div>
</li>
</ul>
<a name="executors">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executors</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a>&gt; executors</pre>
<div class="block">A list with the commands</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommandDiscoverer-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommandDiscoverer</h4>
<pre>public&nbsp;CommandDiscoverer(java.lang.String&nbsp;scope,
                         java.lang.String&nbsp;searchPackage)</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scope</code> - the scope of the commands</dd>
<dd><code>searchPackage</code> - the package in which the discoverer should search</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="discover--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>discover</h4>
<pre>public&nbsp;void&nbsp;discover()</pre>
<div class="block">Searches the given path after annotations</div>
</li>
</ul>
<a name="processCommand-ch.sebi.zuul.command.Command-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processCommand</h4>
<pre>private&nbsp;void&nbsp;processCommand(<a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command">Command</a>&nbsp;command,
                            java.lang.Class&lt;?&gt;&nbsp;c)</pre>
<div class="block">processes a command annotation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>command</code> - the annotation</dd>
<dd><code>c</code> - the class from which the annotation came</dd>
</dl>
</li>
</ul>
<a name="getScope--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScope</h4>
<pre>public&nbsp;java.lang.String&nbsp;getScope()</pre>
<div class="block">Returns the scope of the commands which are discovered by this discoverer</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the scope</dd>
</dl>
</li>
</ul>
<a name="getSearchPackage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSearchPackage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSearchPackage()</pre>
<div class="block">Returns the package in which the discoverer searches</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package</dd>
</dl>
</li>
</ul>
<a name="getExecutors--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExecutors</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a>[]&nbsp;getExecutors()</pre>
<div class="block">Returns all found commands.<br/>
 This method should be invoked AFTER #discoverer()</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all found commands</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommandDiscoverer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/CommandDiscoverer.html" target="_top">Frames</a></li>
<li><a href="CommandDiscoverer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
